---
title: API अवलोकन
description: Human Plugin के endpoints, वे आपस में कैसे जुड़े हैं, सभी responses पर लागू होने वाले सामान्य नियम और API क्या प्रदान नहीं करती।
canonical: https://developer.unico.io/hi/human-plugin/api-reference/overview
locale: hi
generated_by: markdown-export
---

# API अवलोकन

तीन process endpoints और दो health probes।

Human Plugin सादे HTTP पर उस port पर चलता है जिसे आप configure करते हैं (डिफ़ॉल्ट `8080`)। base URL वही है जहाँ आप container को अपने network के भीतर expose करते हैं, उदाहरण के लिए `http://human-plugin.internal:8080`।

| Method | Path | उद्देश्य |
| --- | --- | --- |
| `POST` | `/v1/processes` | [Process बनाएँ](/hi/human-plugin/api-reference/create-process), किसी एक [flow](/hi/human-plugin/api-reference/create-process#flows) के साथ |
| `GET` | `/v1/processes/{id}` | [Process प्राप्त करें](/hi/human-plugin/api-reference/get-process) |
| `GET` | `/v1/processes/{id}/selfie` | [Selfie प्राप्त करें](/hi/human-plugin/api-reference/get-selfie) |
| `GET` | `/health/live` | Liveness। देखें [Health और monitoring](/hi/human-plugin/self-hosting/health-and-monitoring) |
| `GET` | `/health/ready` | Readiness (database ping) |

processes की सूची बनाने, उन्हें हटाने या खोजने के लिए कोई endpoint नहीं है, और कोई webhook receiver भी नहीं है।

## हर call पर लागू होने वाले नियम

- **कोई authentication header नहीं।** Human Plugin callers को validate नहीं करता। इसके बजाय network access को सीमित करें: देखें [Networking और सुरक्षा](/hi/human-plugin/self-hosting/networking-and-security)।
- **केवल JSON**, camelCase field names के साथ।
- **Responses `Cache-Control: no-store` के साथ आते हैं।**
- **Errors** एक ही envelope का उपयोग करती हैं, `{"message": "INVALID_REQUEST", "details": []}`। देखें [Errors और retries](/hi/human-plugin/api-reference/errors-and-retries)।
- **`id` Human Plugin की process id है।** इसे create के जवाब से सहेजकर रखें: बाद में process को इसी से पढ़ा जाता है।

## सामान्य क्रम

```mermaid
sequenceDiagram
  participant B as Your back-end
  participant H as Human Plugin
  B->>H: POST /v1/processes
  H-->>B: 201 + id, state, data
  B->>H: GET /v1/processes/{id}
  H-->>B: 200 + id, state, data (humanToken, ndocs)
```

आगे: [Process बनाएँ](/hi/human-plugin/api-reference/create-process)।